com.pivotal.gemfirexd.internal.client.am

## Class UpdateSensitiveBlobLocatorInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.pivotal.gemfirexd.internal.client.am.UpdateSensitiveLOBLocatorInputStream
    - - com.pivotal.gemfirexd.internal.client.am.UpdateSensitiveBlobLocatorInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class UpdateSensitiveBlobLocatorInputStream
    extends UpdateSensitiveLOBLocatorInputStream

This class extends from the UpdateSensitiveLOBLocatorInputStream and creates and returns an implementation of the Blob specific locator InputStream. It also over-rides the reCreateStream method which re-creates the underlying Blob locator stream whenever a update happens on the Blob object associated with this stream.

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.UpdateSensitiveLOBLocatorInputStream

`con, currentPos, length`

### Constructor Summary

Constructors
Constructor and Description
`UpdateSensitiveBlobLocatorInputStream(Connection con, Blob blob)` Creates an instance of the BlobLocatorInputStream and and calls the super class constructors with appropriate initializers.
`UpdateSensitiveBlobLocatorInputStream(Connection con, Blob blob, long position, long length)` Creates an instance of the BlobLocatorInputStream.

### Method Summary

Methods
`protected InputStream` `reCreateStream()` Re-creates the underlying Locator stream with the current position and the length values if specified.

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.UpdateSensitiveLOBLocatorInputStream

`close, read, read`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateSensitiveBlobLocatorInputStream

    public UpdateSensitiveBlobLocatorInputStream(Connection con,
                                         Blob blob)
                                          throws SqlException

Creates an instance of the BlobLocatorInputStream and and calls the super class constructors with appropriate initializers.

Parameters:
  `con` - connection to be used to read the `Blob` value from the server
  `blob` - `Blob` object that contains locator for the `Blob` value on the server.
Throws:
  `SqlException` - If any exception occurs during stream creation.

#### UpdateSensitiveBlobLocatorInputStream

    public UpdateSensitiveBlobLocatorInputStream(Connection con,
                                         Blob blob,
                                         long position,
                                         long length)
                                          throws SqlException

Creates an instance of the BlobLocatorInputStream.

Parameters:
  `con` - connection to be used to read the `Blob` value from the server
  `blob` - `Blob` object that contains locator for the `Blob` value on the server.
  `position` - the position in the `Blob` of the first byte to read.
  `length` - the maximum number of bytes to read from the `Blob`.
Throws:
  `SqlException` - If any exception occurs during stream creation.

### Method Detail

#### reCreateStream

    protected InputStream reCreateStream()
                                  throws SqlException

Re-creates the underlying Locator stream with the current position and the length values if specified.

Specified by:
  `reCreateStream` in class `UpdateSensitiveLOBLocatorInputStream`
Throws:
  `SqlException` - If any exception occurs while re-creating the underlying streams.